play.db.jpa

## Class JPASupport.JPAQuery

- java.lang.Object
- - play.db.jpa.GenericModel.JPAQuery
  - - play.db.jpa.JPASupport.JPAQuery

- Enclosing class:
    JPASupport

  Deprecated.

      @Deprecated
      public static class JPASupport.JPAQuery
      extends GenericModel.JPAQuery

  Use play.db.jpa.GenericModel.JPAQuery instead

- - ### Field Summary

    - ### Fields inherited from class play.db.jpa.GenericModel.JPAQuery

      `query, sq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAQuery(javax.persistence.Query query)` Deprecated.
    `JPAQuery(java.lang.String sq, javax.persistence.Query query)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class play.db.jpa.GenericModel.JPAQuery

      `bind, fetch, fetch, fetch, first, from, setParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAQuery

          public JPAQuery(java.lang.String sq,
                          javax.persistence.Query query)

      Deprecated.

    - #### JPAQuery

          public JPAQuery(javax.persistence.Query query)

      Deprecated.

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly